package services.impl;

import model.Order;
import sun.reflect.generics.reflectiveObjects.NotImplementedException;

import java.util.ArrayList;
import java.util.List;

public class OrderService {

    private List<Order> orders;

    public OrderService(List<Order> orders) {
        this.orders = orders;
    }

    public void addOrder(Order o) {
        orders.add(o);
    }

    public void removeOrder(Order o) {
        orders.remove(o);
    }

    public List<Order> getAllNonDeliverdOrder() {
        List<Order> ret = new ArrayList<>();
        for(Order order : orders) {
            if(order.getOrderState() != Order.OrderState.DELIVERD)
                ret.add(order);
        }
        return ret;
    }

    public List<Order> getAllDeliverdOrder() {
        List<Order> ret = new ArrayList<>();
        for(Order order : orders) {
            if(order.getOrderState() == Order.OrderState.DELIVERD)
                ret.add(order);
        }
        return ret;
    }
}
